version: '3'

services:
  jupyterlab:
    build: ./jupyLab
    ports:
      - 8888:8888
    volumes:
      - ./data/jupyLab:/home/jovyan/work/
    environment:
      JUPYTER_ENABLE_LAB: "yes"
      JUPYTER_TOKEN: "fhdw" 
      RESTARTABLE: "yes" 
    depends_on: 
      - mariadb 
  
  mariadb:
    image: mariadb
    ports:
      - "3306:3306"
    volumes:
      - ./data/mariadb:/var/lib/mysql
    environment:
      MYSQL_ROOT_PASSWORD: fhdw
      MYSQL_USER: adminer
      MYSQL_PASSWORD: fhdw
      MYSQL_DATABASE: adminer

  adminer:
    image: adminer:latest
    depends_on:
      - mariadb
    environment:
      ADMINER_DEFAULT_DB_DRIVER: mysql
      ADMINER_DEFAULT_DB_HOST: mariadb
      ADMINER_DEFAULT_DB_NAME: adminer
      ADMINER_DESIGN: nette
      ADMINER_PLUGINS: tables-filter tinymce
    ports:
      - 9000:8080